<?php
require_once('../classes/body.class.php');
require_once('../classes/db.class.php');
require_once('../classes/system.class.php');
$title= new Body;
$title->SetTitle('Панель управления - Управление рекламой');

///Подключаем шапку
$title->GetHeader();

if ($b['level'] < 3) {
header('location:/');
die();
}
echo '<div class="container-fluid page_header"><div class="container"><div class="row"><div class="col-xs-12 col-sm-8 col-md-9 col-lg-9"><h1>Панель управления </h1><ol class="breadcrumb" xmlns:v="http://'.homeurl.'/#"><li typeof="v:Breadcrumb"><a href="/" rel="v:url" property="v:title">'.homeurl.'</a></li><li typeof="v:Breadcrumb"><a href="/panel" rel="v:url" property="v:title">Дата-центр</a></li> <li class="active" typeof="v:Breadcrumb"><span property="v:title">Модерация рекламы</span></li></ol></div></div></div></div>';
echo'<div class="container page_body"><div class="row"><div class="col-xs-12 page_content col-lg-9"><div class="navbar page_content_navbar collapse hidden-lg"><div class="container-fluid"><div class="navbar-collapse"></div></div></div><div class="text_box hidden-lg pr_block_small hidden"></div><div class="container-fluid cols_table">';
echo '<div class="catSides"><a href="/panel"><i class="md-format-list-bulleted"></i> Админка</a> - Управление рекламой</div>';

$count = DB::$dbs->querySingle("SELECT COUNT(id) FROM billing_rekl WHERE type = ?",[0]);
$new = (!empty($count) ? '(<font color="red">+'.$count.'</font>)':'');
$modules = (!empty($_GET['modules'])) ? htmlspecialchars($_GET['modules']) : false;
switch ($modules) {
default:
if ($b['level']>4) {
echo '<ul class="nav nav-pills nav-stacked"><li> <a href="?modules=mod"><i class="md-shuffle"></i> Модерация рекламы  '.$new.'</a> </ul>'; }
echo '<ul class="nav nav-pills nav-stacked"><li> <a href="?modules=add"><i class="md-shuffle"></i> Добавить рекламу </a> </ul>';
echo '<ul class="nav nav-pills nav-stacked"><li> <a href="?modules=allRekl"><i class="md-shuffle"></i> Рекламные ссылки  </a></ul>';

break;
case 'add':
if ($b == false){
header ('location: /');
exit;
}
 $bill_set = DB :: $dbs -> queryFetch("SELECT * FROM `billing_set` WHERE `id`=?", [1]);
if (isset($_POST['ok'])) {
$url = htmlspecialchars(trim($_POST['url']));
$name = htmlspecialchars(trim($_POST['name']));
$gde = htmlspecialchars(trim($_POST['gde']));

$time_off = intval($_POST['time_off']);
$bb = htmlspecialchars(trim($_POST['bb']));
$color = htmlspecialchars(trim($_POST['color']));
$color2 = htmlspecialchars(trim($_POST['color2']));
if(empty($color)) $color = $color2;
if(empty($time_off) || $time_off<1) $err = 'Минимальный срок размещения рекламы <b>7 сутok</b><br />';
if(!empty($bb)) $cena_bb = $bill_set['bb'] * $time_off;
else $cena_bb = 0;

if(!empty($color)) $cena_color = $bill_set['color'] * $time_off;
else $cena_color = 0;

$link_name1 = $name;
if ($gde == 'index') {
$rekl = $bill_set['index'];
} elseif ($gde == 'all') {
$rekl = $bill_set['all'];
}
$cena = ($rekl * $time_off) + $cena_bb + $cena_color;

$link_name1 =  (empty($color) ? $link_name1 : '<font color="#'.$color.'">'.$link_name1.'</font>');

$link_name = (empty($bb) ? $link_name1 : '<'.$bb.'>'.$link_name1.'</'.$bb.'>');
if ($b['money']<$cena) {
$err[] = 'У вас недостаточно средств на балансе!';
}
$times_off = time() + ($time_off * 24 * 60 * 60);
if (empty($err)) {
DB::$dbs->query("INSERT INTO billing_rekl SET url = ?, name = ?, time = ?, time_off = ?, type = ?, user_id = ?, gde = ?, money = ?",[$url,$link_name,time(),$times_off,0,$b['id'],$gde,$cena]);
echo '<div class="row text_box">Ваша реклама добавлена и отправлена на модерацию!</div>';
} else {
echo '<div class="lst">';
foreach ($err as $err_info) {
echo $err_info.'<br/>';
}
echo '</div>';
}
}
echo '<div class="row text_box">
</b><form action="?modules=add" method="POST">Название:<br/><input type="text" class="form-control"name="name"/><br/>Адрес (без http://):<br/><input type="text" class="form-control" name="url"/><br/>Время:<br/><input type="text" class="form-control" name="time_off"/> суток<br/>Где:<br/><select name="gde" class="form-control"><br/><option value="index">Верх главной</option><option value="all">Верх всех страниц</option></select><br/>Цвет:<br/><input class="form-control" type="text" name="color"/><br/>Пример: FF0000<br/><input type="radio" name="bb" value="b"/> Жирность <br/><br/><input type="submit" class="btn btn-primary" name="ok" value="Отправить"/></form></div>';
echo '<ul class="nav nav-pills nav-stacked"><li><a href="rekl.html"><i class="md-apps"></i> Вернуться назад</a></ul>';
break;
case 'mod':
if ($b == false){
header ('location: /');
exit;
}
if (isset($_GET['da'])) {
DB::$dbs->query("UPDATE billing_rekl SET type = ? WHERE id = ?",array(1,intval($_GET['id'])));
header('location: ?modules=mod');
}
if (isset($_GET['del'])) {
$row = DB::$dbs->queryFetch("SELECT * FROM billing_rekl WHERE type = ? AND id = ? LIMIT 1",array(0,intval($_GET['id'])));
DB::$dbs->query("DELETE FROM billing_rekl WHERE id = ?",array(intval($_GET['id'])));
header('location: ?modules=mod');
}
$count = DB::$dbs->querySingle("SELECT COUNT(id) FROM billing_rekl WHERE type = ?",[0]);
if($count ==0) echo '<div class="error">Ссылок на модерации нет!</div>';
$array = DB::$dbs->query("SELECT * FROM billing_rekl WHERE type = ? ORDER BY id DESC",[0]);
$i=0;
while($arr = $array -> fetch()){
$i++;
echo '<div class="row text_box">'.$i.') <b>'.$arr['name'].'</b> (http://'.$arr['url'].') <br/>с ('.date('d.m.y / H:i', $arr['time']).') до ('.date('d.m.y / H:i', $arr['time_off']).')<br/>Заказал: '.Nick($arr['user_id']).'<br/>Где: '.(($arr['gde'] == 'all') ? 'Верх все страницы':'Верх главная страница').'<br/>[<a href="?modules=mod&da&id='.$arr['id'].'">Одобрить</a>] [<a href="?modules=mod&del&id='.$arr['id'].'">Отклонить</a>] </div>';
}
echo '<ul class="nav nav-pills nav-stacked"><li><a href="rekl.html"><i class="md-apps"></i> Вернуться назад</a></ul>';
break;
case 'allRekl':
if ($b == false){
header ('location: /');
exit;
}
if (isset($_GET['red'])) {
$name = trim($_POST['name']);
$url = htmlspecialchars(trim($_POST['url']));
if (empty($name) OR empty($url)) {
echo '<div class="error">Заполните все данные.</div>';
} else {
DB::$dbs->query("UPDATE `billing_rekl` SET `name` = ?, `url` = ? WHERE `id` = ? LIMIT 1", array($name,$url,intval($_GET['id'])));
header('location: ?modules=allRekl');
}
}
if (isset($_GET['redk'])) {
$bill = DB::$dbs->queryFetch("SELECT * FROM billing_rekl WHERE id = ?",array(intval($_GET['id'])));
echo '<div class="row text_box"><form action="?modules=allRekl&red&id='.$bill['id'].'" method="POST">Название:<br/><textarea name="name" class="form-control">'.$bill['name'].'</textarea><br/>URL:<br/><input type="text" class="form-control"name="url" value="'.$bill['url'].'"/><br/>
<input type="submit" class="btn btn-primary" value="Сохранить"/></form></div>';
}
if (isset($_GET['del'])) {
DB::$dbs->query("DELETE FROM billing_rekl WHERE id = ?",array(intval($_GET['id'])));
header('location: ?modules=allRekl');
}
$count = DB::$dbs->querySingle("SELECT COUNT(id) FROM billing_rekl WHERE type = ?",[1]);
if($count ==0) echo '<div class="error">Ссылок нет!</div>';
$array = DB::$dbs->query("SELECT * FROM billing_rekl WHERE type = ? ORDER BY id DESC",[1]);
$i=0;
while($arr = $array -> fetch()){
$i++;
echo '<div class="row text_box">'.$i.') <a href="http://'.$arr['url'].'">'.$arr['name'].'</a> (http://'.$arr['url'].') <br/>с ('.date('d.m.y / H:i', $arr['time']).') до ('.date('d.m.y / H:i', $arr['time_off']).')<br/>Заказал: '.Nick($arr['user_id']).'<br/>Где: '.(($arr['gde'] == 'all') ? 'Верх все страницы':'Верх главная страница').'</br>';
echo'<i class="md-shuffle"></i> [<a href="?modules=allRekl&del&id='.$arr['id'].'">Удалить</a>] [<a href="?modules=allRekl&redk&id='.$arr['id'].'">Изменить</a>] </div>';

}
echo '<ul class="nav nav-pills nav-stacked"><li><a href="rekl.html"><i class="md-apps"></i> Вернуться назад</a></ul>';
break;
}

///Подключаем меню
$title->GetMenu();


///Подключаем футер
$title->GetFooter();
?>